What are the system requirements to access SmartRoom?

  1. What are the system requirements to access SmartRoom?


SmartRoom can be accessed across multiple browsers and operating systems. They are listed here:

    • Safari version 6.0 or newer on a Macintosh OS version 10.6 or newer.
    • Firefox version 21 or newer on a Windows OS, preferably XP or newer.
    • Internet Explorer version 8 or newer on a Windows OS, preferably XP or newer.


Please note that you must have the latest version of the Java Runtime Environment (JRE) installed for the site to function optimally. This can be installed at http://java.com.

A DSL connection or a corporate network delivers the best performance. In addition, a special PDF viewer, the BDRViewer, is available for viewing documents in which confidentiality is critical. This viewer will automatically run when clicking on any document.

Have more questions? Submit a request

Comments

Powered by Zendesk